### Method

# Phosh NotificationList add

#### Declaration [src]

    void
    phosh_notification_list_add (
      PhoshNotificationList* self,
      const char* source_id,
      PhoshNotification* notification
    )

#### Description [src]

Registers a new notification with `self` adding to (or creating) the relevant `PhoshNotificationSource`.

#### Parameters

`source_id`

  Type: `const char*`

  Id of the `PhoshNotificationSource` `notification` belongs to (may not currently exist)

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`notification`

  Type: `PhoshNotification`

  The new `PhoshNotification`.

  The data is owned by the caller of the method.